#include "com_ESP32.h"
#include <stdio.h>
#include <stdint.h>
#include <wiringPiI2C.h>

#define ESP32_I2C_ADDRESS 0x08  // ESP32のI2Cアドレス
//wir=0:停止
//wir=1:起動
//wir=2:収納
//wir=3:koki_off

//wir=4:koki_on_noma

//wir=5:koki_on_kokuban
int wir(int dataToSend) {
    int fd;
    
    if ((fd = wiringPiI2CSetup(ESP32_I2C_ADDRESS)) < 0) {
        printf("I2C initialization failed\n");
        return 1;
    }

    if (wiringPiI2CWrite(fd, dataToSend) < 0) {
        printf("Failed to write data\n");
        return 1;
    }
    printf("Sent value: %d\n", dataToSend);
    return 0;
}

