#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <linux/i2c-dev.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include "request.h"

int main() {
    int file;
    char *filename = "/dev/i2c-1";  // I2Cバスのデバイスファイル
    int addr = 0x04;  // ESP32のI2Cアドレス
    char data[4];  // 受信データバッファ

    if ((file = open(filename, O_RDWR)) < 0) {
        perror("Failed to open the I2C bus");
        exit(1);
    }

    if (ioctl(file, I2C_SLAVE, addr) < 0) {
        perror("Failed to acquire bus access and/or talk to slave");
        exit(1);
    }

    while (1) {
        if (read(file, data, 4) != 4) {
            perror("Failed to read from the I2C bus");
        } else {
            printf("Received data: %02x %02x %02x %02x\n", data[0], data[1], data[2], data[3]);
        }
        request_set_esp(,);
        
        
        // データを処理するコードをここに追加

        sleep(1);  // 1秒ごとにデータを読み取る
    }

    close(file);
    return 0;
}
