#include <stdio.h>
#include <unistd.h>
#include "arduino.h"
#include "io.h"
#include "request.h"
#include "uss.h"

int main(){
	double volt;
	
	if(io_open() != 0) return -1;
	if(arduino_open() != 0) return -1;
	if(uss_open_l() != 0) return -1;
	if(uss_open_r() != 0) return -1;
	
	printf("press enter to start\n");
	getchar();
	
	while(uss_get_l()<=20 && uss_get_r()<=20){
		// 処理を記述
		request_set_runmode(STR, 20, 100);
		break;
	}
	
	request_set_runmode(STR, 0, 100);

	delay(2000);

	request_set_runmode(STR, 20, -30);

	arduino_close();
	return 0;
}